=== debian/changelog ===
prometheus-redis-exporter (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove unnecessary DH_GOPKG variable from debian/rules
  * Update gitlab-ci.yml from latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Mon, 01 Feb 2021 18:46:04 +0100

prometheus-redis-exporter (1.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Indent debian/watch file
  * Update Maintainer and version.BuildUser with new team address
  * Add debian/upstream/metadata file

 -- Guillem Jover <gjover@sipwise.com>  Tue, 26 Jan 2021 17:30:07 +0100

prometheus-redis-exporter (1.13.1-2) unstable; urgency=medium

  * Team upload.
  * Change systemd service Restart directive from always to on-failure
  * Use '' instead of `' in text
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Remove $syslog dependency from init script
  * Add man:prometheus-redis-exporter(1) to systemd unit Documentation field
  * Switch from /var/run to /run
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Switch to debhelper-compat 13, no changes needed
  * Update copyright years
  * Add missing dependency on adduser
  * Add support for reload action to sysvinit init script

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:20:15 +0100

prometheus-redis-exporter (1.13.1-1) unstable; urgency=medium

  * Initial release, based on packaging work by Guillem Jover.
    (Closes: #954286)

 -- Michael Prokop <mika@debian.org>  Wed, 02 Dec 2020 23:21:19 +0100
