=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-redis-exporter-$1.tar.gz/,\
      uversionmangle=s/-?(rc\.?\d+)/~$1/" \
  https://github.com/oliver006/redis_exporter/releases \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz
