## prometheus-redis-exporter 1.33.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 
 
 .PHONY: test
-test: 
+test:
+	contrib/tls/gen-test-certs.sh
 	TEST_REDIS_URI="redis://redis6:6379" \
 	TEST_REDIS5_URI="redis://redis5:6383" \
 	TEST_REDIS6_URI="redis://redis6:6379" \
@@ -36,7 +37,13 @@
 	TEST_REDIS_SENTINEL_URI="redis://redis-sentinel:26379" \
 	go test -v -covermode=atomic -cover -race -coverprofile=coverage.txt -p 1 ./...
 
-
+.PHONY: lint
+lint:
+	#
+	# this will run the default linters on non-test files
+	# and then all but the "errcheck" linters on the tests
+	golangci-lint run --tests=false --exclude-use-default
+	golangci-lint run -D=errcheck   --exclude-use-default
 
 .PHONY: checks
 checks:
@@ -53,7 +60,7 @@
 
 .PHONY: upload-coverage
 upload-coverage:
-	go get github.com/mattn/goveralls
+	go install github.com/mattn/goveralls@v0.0.11
 	/go/bin/goveralls -coverprofile=coverage.txt -service=drone.io
