=== debian/changelog ===
prometheus-redis-exporter (1.33.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:09:00 +0000

prometheus-redis-exporter (1.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Update man page and default file for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 22 Dec 2021 20:20:53 +0100

prometheus-redis-exporter (1.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Move instead of copy when renaming the daemon in debian/rules.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 13 Dec 2021 23:00:40 +0100

prometheus-redis-exporter (1.31.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Use @PACKAGE@ in debian/watch file instead of literal name.
  * Update gitlab-ci.yml from its new refactored template.
  * Update gbp.conf following latest Go Team workflow.
  * Update dependencies for new upstream release.
  * Update man page and default file for new upstream release.
  * Add myself to Uploaders.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 29 Nov 2021 20:33:53 +0100
