=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: prometheus-redis-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders:
+ Guillem Jover <gjover@sipwise.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang (>= 1.17~),
+ dh-sequence-golang,
  golang-any,
  golang-github-gomodule-redigo-dev (>= 1:1.8.3-1~),
  golang-github-prometheus-client-golang-dev,
  golang-github-prometheus-client-model-dev,
+ golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter
