## prometheus-redis-exporter 1.37.0

=== debian/changelog ===
prometheus-redis-exporter (1.37.0-2) unstable; urgency=medium

  * Set build variables correctly for --version and metrics.
    Reported by Michael Prokop <mprokop@sipwise.com>.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 23 Mar 2022 09:48:44 +0100

prometheus-redis-exporter (1.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 22 Mar 2022 17:22:18 +0100

prometheus-redis-exporter (1.36.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Mar 2022 01:26:49 +0100
