=== debian/changelog ===
prometheus-redis-exporter (1.45.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 00:18:26 +0000

prometheus-redis-exporter (1.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Remove --help output from default file.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 08 Nov 2022 19:31:20 +0100
