=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-redis-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Section: net
@@ -16,7 +15,7 @@
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter
