## prometheus-redis-exporter 1.52.0

=== debian/changelog ===
prometheus-redis-exporter (1.52.0-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:23:48 +0530

prometheus-redis-exporter (1.52.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:50 +1200

prometheus-redis-exporter (1.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Switch to Standards-Version 4.6.2 (no changes needed).

 -- Guillem Jover <gjover@sipwise.com>  Thu, 10 Aug 2023 13:56:13 +0200
