=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,11 @@
     +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
 BUILDTAGS  :=
-BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
-  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
+BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags " \
+    -X main.BuildCommitSha=$(BRANCH)\
+    -X main.BuildDate=$(BUILD_DATE)\
+    -X main.BuildVersion=$(DEB_VERSION)\
+    -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
     -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
     -X $(METAPKG)/version.Branch=$(BRANCH)\
     -X $(METAPKG)/version.BuildUser=$(USER)\
