=== debian/changelog ===
prometheus-redis-exporter (1.63.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 01 Oct 2024 02:03:14 +0200

prometheus-redis-exporter (1.62.0-2) unstable; urgency=medium

  * Fix reference to KeyDB.
  * Correctly capitalize ValKey.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 09 Sep 2024 20:31:31 +0200

prometheus-redis-exporter (1.62.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Switch from Built-Using field to Static-Built-Using.
  * Update copyright years.
  * Update packaging to refer to ValKey and version 7.x instead of just Redis.
  * Update manual page for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 27 Aug 2024 20:18:28 +0200
