=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-redis-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Section: net
@@ -16,7 +15,7 @@
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter
@@ -30,7 +29,7 @@
  adduser,
  ${misc:Depends},
  ${shlibs:Depends},
-Built-Using:
- ${misc:Built-Using},
-Description: Prometheus exporter for Redis metrics
- Supports Redis 2.x, 3.x, 4.x, 5.x, and 6.x.
+Static-Built-Using:
+ ${misc:Static-Built-Using},
+Description: Prometheus exporter for ValKey metrics (Redis-compatible)
+ Supports ValKey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.
