=== debian/changelog ===
prometheus-redis-exporter (1.67.0-1) unstable; urgency=medium

  * New upstream release.
  * Set minimum golang-any version to >= 2:1.20~.
  * Match upstream Valkey capitalization.
  * Lowercase man page title.
  * Add reference to valkey-server(1) in prometheus-redis-exporter(1) man page.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 01 Feb 2025 00:23:05 +0100
