=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-any (>= 2:1.20~),
  golang-github-gomodule-redigo-dev (>= 1:1.8.3-1~),
  golang-github-prometheus-client-golang-dev,
  golang-github-prometheus-client-model-dev,
@@ -31,5 +31,5 @@
  ${shlibs:Depends},
 Static-Built-Using:
  ${misc:Static-Built-Using},
-Description: Prometheus exporter for ValKey metrics (Redis-compatible)
- Supports ValKey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.
+Description: Prometheus exporter for Valkey metrics (Redis-compatible)
+ Supports Valkey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.
