## prometheus-redis-exporter 1.68.0

=== debian/changelog ===
prometheus-redis-exporter (1.68.0-1) unstable; urgency=medium

  * New upstream release.
  * Sort debian/control fields in the same order as dh-make-golang generates.
  * Switch to Standards-Version 4.7.2 (no changes needed).
  * Use _build as the build directory.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 14 Mar 2025 19:25:20 +0100
