=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # export DH_VERBOSE = 1
 
-BUILDDIR := $(CURDIR)/build
+BUILDDIR := $(CURDIR)/_build
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid
