=== debian/changelog ===
prometheus-redis-exporter (1.69.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 26 Mar 2025 23:59:43 +0100
