=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: prometheus-redis-exporter
+Section: net
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
-Section: net
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -14,8 +14,8 @@
  golang-github-prometheus-client-model-dev,
  golang-github-mna-redisc-dev,
  golang-github-sirupsen-logrus-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-redis-exporter.git
 Homepage: https://github.com/oliver006/redis_exporter
