=== debian/changelog ===
prometheus-redis-exporter (1.81.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 1.81.0
  * d/control: Update package description.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 18 Feb 2026 10:58:41 -0500
