=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prometheus-redis-exporter
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
 Rules-Requires-Root: no
@@ -32,4 +33,4 @@
 Static-Built-Using:
  ${misc:Static-Built-Using},
 Description: Prometheus exporter for Valkey metrics (Redis-compatible)
- Supports Valkey and Redis 2.x, 3.x, 4.x, 5.x, 6.x, and 7.x.
+ Supports Valkey 7.x, 8.x, 9.x and Redis.
